Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 669120 - Track down and modify PRODUCT string for cleaner syslinux display
Summary: Track down and modify PRODUCT string for cleaner syslinux display
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: livecd-tools
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedNTH
Depends On:
Blocks: 734169
TreeView+ depends on / blocked
 
Reported: 2011-01-12 18:06 UTC by Máirín Duffy
Modified: 2011-09-23 04:04 UTC (History)
7 users (show)

Fixed In Version: livecd-tools-16.6-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-23 04:04:33 UTC
Type: ---


Attachments (Terms of Use)

Description Máirín Duffy 2011-01-12 18:06:30 UTC
Description of problem:

Right now when you boot Fedora live media or otherwise call up Syslinux, you are greeted with:

"Welcome to Fedora-14-x86_64-Live-Desktop!"

It's not the most welcoming message though because the string is a bit unwieldy and hard-to-read. Syslinux pulls from the PRODUCT string (not sure where it is produced):

scripts/mk-images.x86: sed -i "s/@PRODUCT@/$PRODUCT/g" $MBD_BOOTTREE/syslinux.cfg 

I was hoping that string produced by pungi could be cleaned up a bit to be more friendly. Some examples I think that would be better:

- Fedora 14 (32-bit) 
- Fedora 14 (64-bit)
- Fedora 14 (32-bit DVD) 
- Fedora 14 (64-bit DVD)
- Fedora 14: KDE Plasma (32-bit) 
- Fedora 14: KDE Plasma (64-bit)
- Fedora 14: LXDE (32-bit) 
- Fedora 14: LXDE (64-bit)
- Fedora 14: Xfce (32-bit) 
- Fedora 14: Xfce (64-bit)
- Fedora 14: Electronic Lab (32-bit) 
- Fedora 14: Electronic Lab (64-bit)
- Fedora 14: Design Suite (32-bit) 
- Fedora 14: Design Suite (64-bit)
- Fedora 14: Sugar on a Stick (32-bit) 
- Fedora 14: Sugar on a Stick (64-bit)
- Fedora 14: Games Spin (32-bit) 
- Fedora 14: Games Spin (64-bit)
- Fedora 14: Security Lab (32-bit) 
- Fedora 14: Security Lab (64-bit)

So the rules I'm suggesting for the strings: 

- The default desktop is called simply "Fedora $VERSION ($ARCH)" 
- Any non-default spins are called "Fedora $VERSION: $NAME_OF_SPIN ($ARCH)" 
- The spin name is derived from either the http://fedoraproject.org/en/get-fedora-options#desktops get.fpo options page or the spins.fedoraproject.org full name for the spin. (KDE is probably updating theirs to KDE Plasma as reflected in example strings above.) 
- Put the arch in () after the name of the spin. Where arch is '32-bit', '64-bit', 'Power PC', etc. The arch names here are suggested to be consistent with what the downloads are labeled on our main web pages (get.fpo and spins.fpo) 
- If it's live media, don't indicate that, don't point it out. Only indicate if it's a DVD. If it's DVD, point it out after the arch in the ( ) 
- $VERSION should be a whole number without decimals for a final release. For test releases / release candidates it would be nice to indicate something like, '14.92 RC1' '14.91 Nightly 06 Jan 2011' but that's up to your discretion!

This is a screenshot where the text will appear in syslinux: https://fedoraproject.org/w/uploads/3/3d/Installux-syslinux-prop1-proto1-ss2.png 

Some notes:

- Using the /etc/fedora-release string won't work because that includes the Fedora codename which isn't desirable for display in syslinux

- Jesse says /etc/system-release-cpe is a more parseable release string that might be useful to work with in lieu of /etc/fedora-release

- Peter says mk-images is just passed the same things buildinstall is wrt the string

- These string changes should affect all installs, *not* only live installs.

- The related ticket against pungi is here: https://fedorahosted.org/rel-eng/ticket/4324

Some TO-DOs:

- Figure out where the string is coming from
- The system info utility isn't showing the release properly on livecd's for some reason - figure out why?

Comment 1 Fedora Update System 2011-09-01 19:39:18 UTC
livecd-tools-16.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/livecd-tools-16.5-1.fc16

Comment 2 Adam Williamson 2011-09-02 18:58:42 UTC
Discussed at 2011-09-02 NTH review meeting: accepted as NTH, this is a cosmetic issue but it's highly visible and cannot be fixed with an update, this is an appropriate time in the cycle to fix it.

Comment 3 Fedora Update System 2011-09-06 18:05:13 UTC
Package livecd-tools-16.5-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing livecd-tools-16.5-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/livecd-tools-16.5-1.fc16
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-09-14 18:33:42 UTC
livecd-tools-16.6-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/livecd-tools-16.6-1.fc16

Comment 5 Adam Williamson 2011-09-23 01:31:29 UTC
All the live images we've built with this livecd-tools have had the 'nice' message, setting VERIFIED.

Comment 6 Fedora Update System 2011-09-23 04:04:01 UTC
livecd-tools-16.6-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.